CADWorx Lisp Routine: Show All Lines, Zoom Extents, Save and Close

(defun c:newclose	 ( / acadobj doc)
	;|Written by Matt Worland
    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY.
    ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR PURPOSE AND OF
    MERCHANTABILITY ARE HEREBY DISCLAIMED.
  |;
	(setq acadObj (vlax-get-acad-object))
	(setq doc (vla-get-ActiveDocument acadObj))
	(vla-SendCommand doc (strcat "lineisolate s "))
	(vla-SendCommand doc (strcat "zoom e "))
	(vla-SendCommand doc (strcat "qsave "))
)


NOTE: Add the LISP routine to you startup suite.  Also, modify your CUIX so that LISP runs when close command is picked from pull down.